@media only screen and (max-width: 1100px){
    .woocommerce .widget_shopping_cart_content p.buttons a {
        display: block;
        text-align: center;
        width: auto !important;
    }

    .woocommerce .widget_shopping_cart_content a.checkout {
        float: none;
        margin-top: 10px;
    }
    
    .widget #searchform input[type="text"] {
        width: 70.329670329670%;
    }
    
    .woocommerce form.check-login .form-row {
        width: 48.69791666666667%;
        margin-right: 2.604166666666667%;
    }

    .woocommerce .woocommerce-tabs {
        float: none;
        width: 100%;
        clear: both;
    }

    .woocommerce .summary {
        margin-bottom: 45px;
    }
    .woocommerce #customer_login .col-1,
    .woocommerce #customer_login .col-2 {
        float: none;
        width: auto;
    }

    .woocommerce #customer_login .col-1 {
        margin-right: 0;
        margin-bottom: 20px;
    }
    
    .woocommerce .col-1, .woocommerce .col-2 {
        float: none;
        width: 100%;
    }
    
    .woocommerce-account .col-1, .woocommerce-account .col-2 {
        float: left;
    }
    
    .woocommerce .col-1 {
        margin-right: 0;
        margin-bottom: 20px;
    }
    
    .woocommerce form.check-login .form-row.form-row-last {
        margin-right: 0;
    }
    
    .woocommerce form.check-login input[type="text"],
    .woocommerce form.check-login input[type="password"] {
        width: 91% !important;
    }
    
    .woocommerce-checkout .addresses .col-1, 
    .woocommerce-checkout .addresses .col-2,
    .woocommerce-account .addresses .col-1,
    .woocommerce-account .addresses .col-2 {
        float: left;
        width: 48.69791666666667%;
        margin-right: 2.604166666666667%;
    }
    
    .woocommerce-checkout .addresses .col-2,
    .woocommerce-account .addresses .col-2 {
        margin-right: 0;
    }
    
    .woocommerce-checkout table.shop_table,
    .woocommerce-account table.shop_table {
        width: 100%;
    }
    
    .woocommerce-account table.shop_table {
        width: 87%;
    }
}

@media only screen and (max-width: 768px) {
    
    .woocommerce div.summary div[itemprop="description"] {
        margin: 25px 0;
    }

    .woocommerce div.product .cart {
        margin-bottom: 25px;
    }

    .woocommerce .woocommerce-tabs {
        margin: 25px 0;
    }

    .woocommerce #reviews h2 {
        margin-bottom: 20px;
    }
    
    .woocommerce form.checkout table.shop_table {
        width: 100%;
    }
    
    .woocommerce aside ul.product_list_widget li img {
        float: none;
    }
    
    .woocommerce .addresses header a.edit {
        position: static;
        margin-top: 15px;
    }
    
    .woocommerce aside ul.product_list_widget li img {
        width: 90px;
    }
    
    .woocommerce .widget_price_filter .price_label, 
    .woocommerce-page .widget_price_filter .price_label,
    .woocommerce .widget_price_filter .button, 
    .woocommerce-page .widget_price_filter .button {
        float: none;
    }
    
    .widget #searchform input[type="text"] {
        width: 63.57142857142857%;
    }
    
    .woocommerce table.cart td.actions input[type="submit"] {
        margin-bottom: 10px;
    }

    .columns-4 .woocommerce_with_sidebar ul.products li.product,
    .columns-4 .container_inner > ul.products li.product,
    .columns-4 .cross-sells > ul.products li.product,
    .columns-4 .products > ul.products li.product,
    div.woocommerce.columns-4 ul.products li.product {
        width: 48.37209302325581%;
        margin-right: 3.255813953488372%;
    }

    .columns-4 .container_inner > ul.products li.product:nth-child(2n),
    .columns-4 .products > ul.products li.product:nth-child(2n),
    div.woocommerce.columns-4 ul.products li.product:nth-child(2n),
    .columns-4 .cross-sells > ul.products li.product:nth-child(2n),
    .columns-4 .woocommerce_with_sidebar ul.products li.product:nth-child(2n) {
        margin-right: 0;
    }

    .columns-4 .woocommerce_with_sidebar ul.products li.product:nth-child(2n+1) {
        clear: both;
    }
}

@media only screen and (min-width: 600px) and (max-width: 768px) {
    .woocommerce aside ul.product_list_widget li {
        text-align: center;
    }
    
    .woocommerce aside ul.cart_list li,
    .woocommerce-page aside ul.cart_list li {
        text-align: left;
    }
    
    .woocommerce aside .widget .star-rating, 
    .woocommerce-page aside .widget .star-rating {
        margin-left: auto;
        margin-right: auto;
    }
}

@media only screen and (max-width: 600px) {
    .columns-3 ul.products li.product,
    .columns-3 .woocommerce_with_sidebar ul.products li.product,
    .columns-2 ul.products li.product,
    .columns-2 .woocommerce_with_sidebar ul.products li.product {
        width: 100%;
        float: none;
    }

    .woocommerce .product .images {
        float: none;
        width: 100%;
        margin-right: 0;
    }

    .woocommerce ul.tabs li a {
        padding: 0 18px;
    }

    .woocommerce .summary {
        margin-bottom: 0;
    }
    
    .woocommerce .addresses header h3 {
        font-size: 18px;
    }
    
    .woocommerce div.cart-collaterals div.cart_totals, 
    .woocommerce-page .div.cart-collaterals div.cart_totals {
        float: none;
        margin-bottom: 20px;
        width: auto;
    }
    
    .woocommerce div.cart-collaterals .shipping_calculator, 
    .woocommerce-page .div.cart-collaterals .shipping_calculator {
        float: none;
        width: auto;
    }
    
    .woocommerce table.cart div.coupon, 
    .woocommerce-page table.cart div.coupon {
        float: none;
        margin-bottom: 10px;
    }
    
    .woocommerce form.check-login .form-row {
        width: 100%;
        float: none;
    }
    
    .woocommerce form.check-login .form-row input[type="text"] {
        width: 92%;
    }
    
    .woocommerce aside ul.product_list_widget li img {
        float: left;
    }
    
    .woocommerce aside ul.product_list_widget li img {
        width: auto;
    }
    
    .woocommerce .widget #searchform input[type="text"],
    .woocommerce-page .widget #searchform input[type="text"] {
        width: 82.73381294964029%;
    }
    
    .woocommerce .content .container .column1,
    .woocommerce-page .content .container .column1 {
        margin-bottom: 50px;
    }

    .woocommerce form.checkout_coupon input.button {
        width: 100%;
        margin-top: 15px;
    }

    .woocommerce-page.woocommerce-checkout div.coupon .input-text {
        width: 94.33333333333333%;
        padding-left: 2.833333333333333%;
        padding-right: 2.833333333333333%;
    }
    
    .woocommerce .change-pass-field {
        padding-left: 1.904761904761905%;
        padding-right: 1.904761904761905%;
        width: 96.19047619047619%;
        display: block;
        margin-right: 0;
        margin-bottom: 20px;
    }

    .woocommerce table.cart div.coupon .input-text {
        padding: 9px 3.869047619047619%;
        width: 92%;
        margin-bottom: 10px;
    }
    
    .woocommerce table.cart td.actions input[type="submit"] {
        display: block;
        width: 100%;
    }
    
    .woocommerce table.cart td.actions div.coupon input[type="submit"] {
        margin-bottom: 0;
    }

    .woocommerce .woocommerce-message {
        text-align: center;
    }

    .woocommerce .woocommerce-message a.button {
        float: none;
        margin-top: 15px;
        display: inline-block;
    }

    .woocommerce .woocommerce-message p {
        display: inline-block;
    }

    .woocommerce table.cart td.actions input[type="submit"] {
        padding-left: 22px !important;
        padding-right: 22px !important;
        position: relative;
        top: 3px;
    }

    .woocommerce #shiptobilling, .woocommerce-page #shiptobilling {
        position: static;
    }

    .woocommerce .summary {
        float: none;
        width: auto;
    }
}

@media only screen and (max-width: 480px){
    .columns-4 .woocommerce_with_sidebar ul.products li.product,
    .columns-4 .container_inner > ul.products li.product,
    .columns-4 .cross-sells > ul.products li.product,
    .columns-4 .products > ul.products li.product,
    div.woocommerce.columns-4 ul.products li.product {
        width: 100%;
        margin-right: 0;
    }

    .woocommerce .woocommerce-ordering, 
    .woocommerce .woocommerce-result-count {
        float: none;
        width: 100%;
        text-align: center;
    }

    .woocommerce .woocommerce-result-count {
        margin-top: 15px;
        margin-bottom: 10px;
    }

    .woocommerce ul.tabs li a {
        font-size: 12px;
        padding: 0 8px;
    }

    .woocommerce #customer_login .span-3 {
        width: 100%;
        float: none;
        margin-right: 0;
    }

    .woocommerce #customer_login input[type="text"],
    .woocommerce #customer_login input[type="password"],
    .woocommerce #customer_login input[type="email"],
    .woocommerce #customer_login #reg_email {
        width: 87.5%;
    }

    .woocommerce .addresses .col-1, .woocommerce .addresses .col-2 {
        width: 100%;
    }
    
    .woocommerce .addresses .col-1 {
        margin-bottom: 20px;
    }
    
    .woocommerce #shiptobilling, 
    .woocommerce-page #shiptobilling {
        float: none;
        width: auto;
        margin-right: 0;
        margin-bottom: 15px;
    }
    
    .woocommerce form.checkout #order_review_heading {
        margin-top: 0;
    }
    
    .woocommerce form.checkout .col2-set .form-row.notes textarea {
        margin-bottom: 0;
    }
    
    .woocommerce-checkout .addresses .col-1 address,
    .woocommerce-account .addresses .col-1 address {
        margin-bottom: 30px;
    }
    
    .woocommerce-checkout .order_details.clearfix li.total,
    .woocommerce-checkout .order_details.clearfix li.method {
        margin-top: 15px;
    }
    
    .woocommerce .widget #searchform input[type="text"], 
    .woocommerce-page .widget #searchform input[type="text"]{
        width: 78.85906040268456%;
    }
    
    .woocommerce table.cart tbody tr td img {
        display: none;
    }
    
    .woocommerce .addresses .col-1.address, 
    .woocommerce .addresses .col-2.address {
        width: 48%;
    }

    .woocommerce .checkout table.shop_table thead tr th, 
    .woocommerce-page .checkout table.shop_table thead tr th, 
    .woocommerce table.cart thead tr th, 
    .woocommerce-page table.cart thead tr th, 
    .woocommerce-account table.my_account_orders thead tr th, 
    .woocommerce-page table.my_account_orders thead tr th,
    .woocommerce-cart table.cart tbody tr td, 
    .woocommerce-checkout .checkout table tbody tr td{
        padding: 8px 3px;
    }

    .woocommerce ul.products li.product .image-wrapper img{
        width: 100%;
    }

    .woocommerce-message.call_to_action .qbutton{
        margin: 15px 0 0;
    }

    .woocommerce .quantity .minus, 
    .woocommerce #content .quantity .minus, 
    .woocommerce-page .quantity .minus, 
    .woocommerce-page #content .quantity .minus, 
    .woocommerce .quantity .plus, 
    .woocommerce #content .quantity .plus, 
    .woocommerce-page .quantity .plus, 
    .woocommerce-page #content .quantity .plus{
        width: 18px;
        height: 18px;
        padding: 0 0 5px;
    }

    .woocommerce .quantity input.qty, 
    .woocommerce #content .quantity input.qty, 
    .woocommerce-page .quantity input.qty, 
    .woocommerce-page #content .quantity input.qty{
        width: 15px;
        height: 26px;
        line-height: 25px;
        padding: 0;
        font-size: 15px;
    }

    .woocommerce ul.products li.product:hover .add-to-cart-button, 
    .woocommerce ul.products li.product:hover .added_to_cart{
        display: none;
        opacity: 0;
        height: 0;
    }

    .woocommerce .quantity .plus{
        top: 0;
    }

}

@media only screen and (max-width: 420px) {
    .shopping_cart_outer {
        display: none;
    }
}